# SIPRegNotification Class Reference

`#include <handlers.h>`

Collaboration diagram for SIPRegNotification:

[legend]

## Public Member Functions

| P_DECLARE_ENUM (States, Initial, Active, Terminated)
PString | GetStateName () const
| SIPRegNotification (const SIPURL &aor=SIPURL(), States state=Initial)
void | PrintOn (ostream &strm) const

## Static Public Member Functions

static PString | GetStateName (States state)
static States | GetStateFromName (const PCaselessString &str)

## Data Fields

SIPURL | m_aor
States | m_state
std::list< SIPURL > | m_contacts

## Detailed Description

Information for SIP "reg" event package (RFC3680) notification messages.

## Constructor & Destructor Documentation

SIPRegNotification::SIPRegNotification | ( | const SIPURL & | aor = `SIPURL()`,
|  | States | state = `Initial` |
| ) |  |  |

## Member Function Documentation

static States SIPRegNotification::GetStateFromName | ( | const PCaselessString & | str | ) | `[static]`

PString SIPRegNotification::GetStateName | ( |  | ) | const`[inline]`

static PString SIPRegNotification::GetStateName | ( | States | state | ) | `[static]`

SIPRegNotification::P_DECLARE_ENUM | ( | States | ,
|  | Initial | ,
|  | Active | ,
|  | Terminated |  |
| ) |  |  |

void SIPRegNotification::PrintOn | ( | ostream & | strm | ) | const

## Field Documentation

SIPURL SIPRegNotification::m_aor

std::list<SIPURL> SIPRegNotification::m_contacts

States SIPRegNotification::m_state

The documentation for this class was generated from the following file:

- handlers.h